Run of unchanged for nvpy

Try this locally (using the lintian-brush package):

debcheckout nvpy
cd nvpy
just-build
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
Running ['just-build']
Opening branch at https://github.com/stefanv/nvpy.git/,branch=debian
Cached branch URL https://janitor.debian.net/git/nvpy,branch=master missing: Branch does not exist: Not a branch: "https://janitor.debian.net/git/nvpy/": location is a repository.
Total 2859 (delta 0), reused 0 (delta 0), pack-reused 2859
Workspace ready - starting.
Opened schroot session unstable-amd64-sbuild-e952e6f7-3905-425a-b4dc-45d34ecddc9c (from unstable-amd64-sbuild)
Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f6660c6a700>, [functools.partial(<function python_tie_breaker at 0x7f66626ca160>, <GitWorkingTree of /tmp/tmp8uvrwl_s/nvpy>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-e952e6f7-3905-425a-b4dc-45d34ecddc9c'), <function popcon_tie_breaker at 0x7f6660c7a820>]))]
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/workingtree.py", line 361, in get_file_with_stat
    file_obj = open(abspath, 'rb')
FileNotFoundError: [Errno 2] No such file or directory: '/tmp/tmp8uvrwl_s/nvpy/debian/changelog'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 210, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 804, in process_package
    build_target_details = build_target.build(
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 508, in build
    (changes_name, cl_version) = build_incrementally(
  File "/srv/janitor/debian-janitor/ognibuild/ognibuild/debian/fix_build.py", line 524, in build_incrementally
    return attempt_build(
  File "/srv/janitor/debian-janitor/ognibuild/ognibuild/debian/build.py", line 248, in attempt_build
    add_dummy_changelog_entry(
  File "/srv/janitor/debian-janitor/ognibuild/ognibuild/debian/build.py", line 122, in add_dummy_changelog_entry
    with tree.get_file(path) as f:
  File "/srv/janitor/debian-janitor/breezy/breezy/workingtree.py", line 354, in get_file
    return self.get_file_with_stat(path, filtered=filtered)[0]
  File "/srv/janitor/debian-janitor/breezy/breezy/workingtree.py", line 364, in get_file_with_stat
    raise errors.NoSuchFile(path)
breezy.errors.NoSuchFile: No such file: 'debian/changelog'

Full worker log